/**************************************************************************
	Description:     .

	:  ..
	  : 2021.11.08
**************************************************************************/

#ifndef _APP_CONFIG
#define _APP_CONFIG

// ,       (30 .)
#define SHIFT

#define ALG_MODE_SIMULINK ALG_MODE_FOC_OBOROTS
/*
        ALG_MODE_UF_CONST,
        ALG_MODE_SCALAR_OBOROTS,
        ALG_MODE_SCALAR_POWER,
        ALG_MODE_FOC_OBOROTS,
        ALG_MODE_FOC_POWER
*/
#define SIMULINK_SEQUENCE	V_PWM24_PHASE_SEQ_NORMAL_ABC
/*		V_PWM24_PHASE_SEQ_NORMAL_ABC,
        V_PWM24_PHASE_SEQ_NORMAL_BCA,
        V_PWM24_PHASE_SEQ_NORMAL_CAB,
        V_PWM24_PHASE_SEQ_REVERS_ACB,
        V_PWM24_PHASE_SEQ_REVERS_CBA,
        V_PWM24_PHASE_SEQ_REVERS_BAC
*/



//    
#define PI2			6.283185307179586476925286766559	//pi*2
#define SQRT2		1.4142135623730950488016887242097	//sqrt(2)
#define SQRT3		1.7320508075688772935274463415059	//sqrt(3)
#define ISQRT3		0.57735026918962576450914878050196	//1./sqrt(3)
//   
// ...   , 
#define P_NOM		(6300e3)
// ...  ,  (ampl)
#define U_NOM		(3300.*SQRT2)
// ...  , /
#define N_NOM		180.
// ...   
#define PP			6.
// ...  
#define COS_FI_		0.87
// ... 
#define EFF			0.968
// ...     , *^2
#define J			(87e3*0.50)
// ...  , 
#define S_NOM		(P_NOM/(COS_FI_*EFF))
// ...  , /
#define WM_NOM		(N_NOM/60.*PI2)
// ...   , *
#define M_NOM		(P_NOM/WM_NOM)


//   
// ...  , BA
#define S_BAZ		S_NOM
// ...  ,  (ampl)
#define U_BAZ		U_NOM
// ...  ,  (ampl)
#define I_BAZ		(S_BAZ*2./(U_BAZ*SQRT3)*0.5) //0.5 - ..  
// ...  , /
#define N_BAZ		N_NOM
// ...  , /
#define WM_BAZ		(N_BAZ/60.*PI2)
// ...  , /
#define WE_BAZ		(WM_BAZ*PP)
// ...   , *
#define M_BAZ		(S_BAZ/WM_BAZ)
// ...  , 
#define PSI_BAZ		(U_BAZ/(WE_BAZ*SQRT3))
// ... , 
#define L_BAZ		(PSI_BAZ/I_BAZ)
// ... , 
#define R_BAZ		(U_BAZ/(I_BAZ*SQRT3))


//          
#define U_2_Y	(T1_PRD*SQRT3/U_BAZ)

//    . ,       . 2048, 
#define UDC_SENS_MAX	(U_BAZ*1.15*1.3)
//  ,       . 2048,  (ampl)
#define IAC_SENS_MAX	(I_BAZ*1.5)
#define IDC_SENS_MAX	5000.0


#endif //_APP_CONFIG
